local Grid2StatusResOptions = {}
Grid2Options.plugins["Grid2StatusResOptions"] = Grid2StatusResOptions

local L = LibStub("AceLocale-3.0"):GetLocale("Grid2Options")


function Grid2StatusResOptions:MakeDefaultSetup(setup, class)
	if (not setup.res) then
		setup.res = true

		local setupIndicator = setup.status

		Grid2Options:SetupIndicatorStatus(setupIndicator, "text-down", "resurrection-incoming", 99)
		Grid2Options:SetupIndicatorStatus(setupIndicator, "text-down", "resurrected", 98)
		Grid2Options:SetupIndicatorStatus(setupIndicator, "text-down", "soulstone", 97)

		Grid2Options:SetupIndicatorStatus(setupIndicator, "text-down-color", "resurrection-incoming", 99)
		Grid2Options:SetupIndicatorStatus(setupIndicator, "text-down-color", "resurrected", 98)
		Grid2Options:SetupIndicatorStatus(setupIndicator, "text-down-color", "soulstone", 97)
	end
end


local prev_MakeOptions = Grid2Options.MakeOptions
function Grid2Options:MakeOptions(setup, reset, ...)
	prev_MakeOptions(self, setup, reset, ...)
	local status, options

	status = Grid2.statuses["resurrection-incoming"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status", status, options)
	end

	status = Grid2.statuses["resurrected"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status", status, options)
	end

	status = Grid2.statuses["soulstone"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status", status, options)
	end
end

